Draft WireToBSpline/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(3 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{Docnav|[[Draft Edit Improved|Edit Improved]]|[[Draft_AddPoint|Add point]]|[[Draft_Module|Draft]]|IconL=Draft Edit Improved.svg|IconC=Workbench_Draft.svg|IconR=Draft_AddPoint.svg}}
|[[Draft_SubelementHighlight|Subelement highlight]]
|[[Draft_AddPoint|Add point]]|[[Draft_Module|Draft]]
|IconL=Draft_SubelementHighlight.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_AddPoint.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 13: Line 19:


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft Wire2BSpline example.jpg|400px]]
{{Caption|Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire}}
{{Caption|Convert a wire to a B-Spline, and a closed B-Spline to a closed wire}}


<div class="mw-translate-fuzzy">
==Použití==
==Použití==
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 24: Line 32:
A new object will be created; the original object will not be modified.
A new object will be created; the original object will not be modified.


{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.
{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the [[3D view]]. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.


==Volby==
==Volby==
Line 45: Line 53:
* Je-li aktivní objekt drát:
* Je-li aktivní objekt drát:
</div>
</div>

{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD, Draft
Line 66: Line 75:
}}
}}


{{Docnav
{{Docnav|[[Draft Edit Improved|Edit Improved]]|[[Draft_AddPoint|Add point]]|[[Draft_Module|Draft]]|IconL=Draft Edit Improved.svg|IconC=Workbench_Draft.svg|IconR=Draft_AddPoint.svg}}
|[[Draft_SubelementHighlight|Subelement highlight]]

|[[Draft_AddPoint|Add point]]
{{Draft Tools navi}}
|[[Draft_Module|Draft]]
|IconL=Draft_SubelementHighlight.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_AddPoint.svg
}}


{{Userdocnavi}}
{{clear}}
{{clear}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 02:04, 21 February 2020

Kreslení Drát do B-křivky

Umístění Menu
Kreslení -> Drát do B-křivky
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo

Popis

Tento nástroj konvertuje Dráty do B-křivek a naopak.

Convert a wire to a B-Spline, and a closed B-Spline to a closed wire

Použití

  1. Vyberte drát nebo B-křivku
  2. Stiskněte tlačítko Kreslení Drát do B-křivky

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set ÚdajeMake Face to false to see the new shape, or set ÚdajeClosed to false to create an open shape.

Volby

  • Původní objekt nebude po operaci smazán, pokud budete chtít musíte ho smazat ručně.

Skriptování

Není dostupné, ale vytvoření nového objektu z bodů jiného objektu je snadné, například:

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

  • Je-li aktivní objekt drát:
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)